[VBA] 如何交互取点
vba 我把帮助里的代码放到按钮里,会出现错误,求助Dim returnPnt As Variant<BR> <BR> ' Return a point using a prompt<BR> returnPnt = ThisDrawing.Utility.GetPoint(, "Enter a point: ")<BR> MsgBox "The WCS of the point is: " & returnPnt(0) & ", " & returnPnt(1) & ", " & returnPnt(2) & vbCrLf & _<BR> "(Enter the next value without prompting.)", , "GetPoint Example"<BR> <BR> ' Return a point, no prompt<BR> returnPnt = ThisDrawing.Utility.GetPoint<BR> MsgBox "The WCS of the point is: " & returnPnt(0) & ", " & returnPnt(1) & ", " & returnPnt(2), , "GetPoint Example"<BR> <BR> ' Return a point using a base point and a prompt<BR> Dim basePnt(0 To 2) As Double<BR> basePnt(0) = 2#: basePnt(1) = 2#: basePnt(2) = 0#<BR> returnPnt = ThisDrawing.Utility.GetPoint(basePnt, "Enter a point: ")<BR> MsgBox "The WCS of the point is: " & returnPnt(0) & ", " & returnPnt(1) & ", " & returnPnt(2)<BR> <BR> ' Create a line from the base point and the last point entered<BR> Dim lineObj As AcadLine<BR> Set lineObj = ThisDrawing.ModelSpace.AddLine(basePnt, returnPnt)<BR> ZoomAll<BR> 前面加me.hide
后面加me.show 谢谢
页:
[1]